package com.gx.obe.step.appraise.enumeration;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

import com.gx.obe.util.utils.EnumUtils;

public enum SumTypeEnum {
	
	MANAGER("manager", "项目经理"), 
	SUMMARY("summary", "得分汇总"), 
	FINAL("final", "最终得分汇总");
	
	public static Map<String, SumTypeEnum> map = EnumUtils.toMap(values(), SumTypeEnum::getKey);
	private String key;
	private String value;
	
	private SumTypeEnum(String key, String value) {
		this.key = key;
		this.value = value;
	}
	
	public String getKey() {
		return key;
	}
	
	public String getValue() {
		return value;
	}
	
	public static List<String> getKeyList() {
		return Arrays.stream(values()).map(SumTypeEnum::getKey).collect(Collectors.toList());
	}
	
}